RE: Re: couchdb crashes while/after couch db compact


#1

AJ,

Can you point me to the information you read about Chef not working on CouchDB 1.1.1? Since I am going to have to install it from source, can anyone tell me which version I should be using? The Opscode Wiki, installing Chef Server states -> CouchDB (0.9.1-0.10+) http://wiki.opscode.com/display/chef/Installing+Chef+Server

Thanks
Randy

-----Original Message-----
From: AJ Christensen [mailto:aj@junglist.gen.nz]
Sent: Monday, February 13, 2012 2:28 PM
To: bdha@mirrorshades.net
Cc: chef@lists.opscode.com
Subject: [chef] Re: Re: RE: couchdb crashes while/after couch db compact

Last I had read, Chef Server didn’t work with CouchDB 1.1.1

This may or may not have been an independent user report, take it with a spoon of sauce.

–AJ

On 14 February 2012 08:12, Bryan Horstmann-Allen bdha@mirrorshades.net wrote:

±--------------------------------------------------------------------
±--------
| On 2012-02-13 13:35:24, Van Fossan,Randy wrote:
|
| Has Anyone used couchdb 1.1.1 with chef-server 10.8? The version I
| am currently running is 0.11.2 (from rbel repos). Is it a straight
| upgrade to 1.1.1 at the database level?

I’ve tried to get on 1.1.1 a few times on Linux and SmartOS. I keep
hitting a “stack quota exhausted” error, regardless of how large I
make the stack size passed to couchjs (-S argument, see the CouchDB
perf page). Happens on both platforms.

I have no idea if it’s directly related to Chef’s views… I don’t use
CouchDB for anything else.

Cheers.

bdha
cyberpunk is dead. long live cyberpunk.


#2

It was a conversation on IRC, some poor dude battling CouchDB 1.1.1 for hours.

–AJ

On 18 February 2012 07:37, Van Fossan,Randy vanfossr@oclc.org wrote:

AJ,

Can you point me to the information you read about Chef not working on CouchDB 1.1.1? Since I am going to have to install it from source, can anyone tell me which version I should be using? The Opscode Wiki, installing Chef Server states -> CouchDB (0.9.1-0.10+) http://wiki.opscode.com/display/chef/Installing+Chef+Server

Thanks
Randy

-----Original Message-----
From: AJ Christensen [mailto:aj@junglist.gen.nz]
Sent: Monday, February 13, 2012 2:28 PM
To: bdha@mirrorshades.net
Cc: chef@lists.opscode.com
Subject: [chef] Re: Re: RE: couchdb crashes while/after couch db compact

Last I had read, Chef Server didn’t work with CouchDB 1.1.1

This may or may not have been an independent user report, take it with a spoon of sauce.

–AJ

On 14 February 2012 08:12, Bryan Horstmann-Allen bdha@mirrorshades.net wrote:

±--------------------------------------------------------------------
±--------
| On 2012-02-13 13:35:24, Van Fossan,Randy wrote:
|
| Has Anyone used couchdb 1.1.1 with chef-server 10.8? The version I
| am currently running is 0.11.2 (from rbel repos). Is it a straight
| upgrade to 1.1.1 at the database level?

I’ve tried to get on 1.1.1 a few times on Linux and SmartOS. I keep
hitting a “stack quota exhausted” error, regardless of how large I
make the stack size passed to couchjs (-S argument, see the CouchDB
perf page). Happens on both platforms.

I have no idea if it’s directly related to Chef’s views… I don’t use
CouchDB for anything else.

Cheers.

bdha
cyberpunk is dead. long live cyberpunk.